slepc-3.21.1 2024-04-26
Report Typos and Errors

# STMatSetUp

Build the preconditioner matrix used in STMatSolve().

### Synopsis

    #include "slepcst.h"
    PetscErrorCode STMatSetUp(ST st,PetscScalar sigma,PetscScalar *coeffs)

Collective

### Input Parameters

| st | - the spectral transformation context
| sigma | - the shift
| coeffs | - the coefficients (may be NULL)

### Note

This function is not intended to be called by end users, but by SLEPc solvers that use ST. It builds matrix st->P as follows, then calls KSPSetUp().

        If (coeffs)  st->P = Sum_{i=0..nmat-1} coeffs[i]*sigma^i*A_i
        else         st->P = Sum_{i=0..nmat-1} sigma^i*A_i

### See Also

STMatSolve()

### Level

developer

### Location

src/sys/classes/st/interface/stsolve.c
Index of all ST routines
Table of Contents for all manual pages
Index of all manual pages